#include <cpl_port.h>
#include <cpl_minixml.h>
#include <cassert>
#include <iostream>
using namespace std;

int main()
{

    char const* file = "wms.xml";

    CPLXMLNode* xmlNode = NULL;
    xmlNode = CPLParseXMLFile(file);
    assert(NULL != xmlNode && "XML parsing failure");

    int ret = CPLSerializeXMLTreeToFile(xmlNode, "out.xml");
    assert(ret && "XML serialization failure");

    CPLDestroyXMLNode(xmlNode);
	return 0;
}
